<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_margin="16dp"
    tools:context=".ShelterDescriptionScreen">

    <ImageView
        android:id="@+id/image_add"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/ic_big_dogs" />

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/shelter_description_name_parent"
        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="@string/nameDescription"
        app:errorEnabled="true"
        app:layout_constraintEnd_toEndOf="parent"
        android:paddingTop="16dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/image_add">

        <EditText
            android:id="@+id/shelter_description_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="U lala"
            android:inputType="textNoSuggestions" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/shelter_description_description_parent"
        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="@string/DescriptionDescription"
        app:errorEnabled="true"
        app:layout_constraintEnd_toEndOf="parent"
        android:paddingTop="16dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/shelter_description_name_parent">

        <EditText
            android:id="@+id/shelter_description_description"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="U lala"
            android:inputType="textNoSuggestions" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/shelter_description_nip_parent"
        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="@string/nipDescription"
        app:layout_constraintEnd_toEndOf="parent"
        app:errorEnabled="true"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/shelter_description_description_parent">

        <EditText
            android:id="@+id/shelter_description_nip"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="2"
            android:layout_gravity="center"
            android:inputType="numberSigned" />
    </com.google.android.material.textfield.TextInputLayout>






    <Button
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:onClick="UpdateDescription"
        android:text="@string/accept"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/shelter_description_nip_parent" />


</androidx.constraintlayout.widget.ConstraintLayout>